Bug 172716 - [Readable Streams API] Fix ReadableStream "strategy" argument handling
Summary: [Readable Streams API] Fix ReadableStream "strategy" argument handling
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Romain Bellessort
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-05-30 07:52 PDT by Romain Bellessort
Modified: 2017-06-29 09:19 PDT (History)
7 users (show)

See Also:


Attachments
Patch (16.38 KB, patch)
2017-06-26 07:42 PDT, Romain Bellessort
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Romain Bellessort 2017-05-30 07:52:12 PDT
Handling of ReadableStream "strategy" optional argument is not in line with spec. Some tests should also be updated.
Comment 1 Romain Bellessort 2017-06-26 07:42:52 PDT
Created attachment 313836 [details]
Patch
Comment 2 Xabier Rodríguez Calvar 2017-06-28 01:54:08 PDT
Comment on attachment 313836 [details]
Patch

Please, ping me on IRC for cq+
Comment 3 WebKit Commit Bot 2017-06-29 09:19:42 PDT
Comment on attachment 313836 [details]
Patch

Clearing flags on attachment: 313836

Committed r218926: <http://trac.webkit.org/changeset/218926>
Comment 4 WebKit Commit Bot 2017-06-29 09:19:43 PDT
All reviewed patches have been landed.  Closing bug.